#!/bin/bash

#Arbeitsverzeichnis fuer crontab
PFAD=$2
if [ "$PFAD" != "" ]
then

cd $PFAD

fi
#Umgebung einlesen:
if [ "$RPTA_PFAD" = "" ]
then
echo "ACHTUNG: Die Umgebungsvariable RPTA_PFAD ist nicht gesetzt. Bitte prüfen Sie $SUPERX_DIR/db/bin/SQL_ENV"

exit 1

fi
if [ "$RPTA_ERRORMAIL" != "" ]
then
ERRORMAIL=$RPTA_ERRORMAIL
export ERRORMAIL
fi
if [ "$RPTA_LOGMAIL" != "" ]
then
LOGMAIL=$RPTA_LOGMAIL
export LOGMAIL
fi
if [ "$RPTA_BACKUP" != "" ]
then
MODULE_BACKUP=$RPTA_BACKUP
export MODULE_BACKUP
fi

#hier geht es los
#runAndCheck.x path command (EXIT_ON_ERROR|CONT_ON_ERROR) (SEND_ERRORMAIL|NO_ERRORMAIL) (SEND_LOGMAIL|NO_LOGMAIL) [description] "
echo "rpta-Update startet" >$RPTA_ERRORDAT
#Tagesdatum für Systeminfo
date +'%d.%m.%Y' > $RPTA_LOAD_PFAD/superx.datum

runAndCheck.x $RPTA_PFAD "module_etl.x rpta $RPTA_PFAD $RPTA_LOAD_PFAD" EXIT_ON_ERROR SEND_ERRORMAIL SEND_LOGMAIL "RPTA update$MANDANTID"
cat $RPTA_PFAD/L_RPTA_update$MANDANTID.log >>$RPTA_ERRORDAT


fgrep -s "not found" $RPTA_ERRORDAT
FLAG1=$?
fgrep -i -s "error" $RPTA_ERRORDAT
FLAG2=$?
fgrep -i -s "nicht gefunden" $RPTA_ERRORDAT
FLAG3=$?
if [ $FLAG1 -eq 0 -o $FLAG2 -eq 0 -o $FLAG3 -eq 0 ]
then
	echo "Fehler beim RPTA-Update "
	echo "---------------------------------------"
	echo "Fehlerprotokoll in $RPTA_ERRORDAT"
	echo "---------------------------------------"
	cp $RPTA_LOAD_PFAD/superx.datum.alt $RPTA_LOAD_PFAD/superx.datum
else
	echo "RPTA-Update erfolgreich"
fi

echo "---------------------------Beginn Prüfroutine-----------------------------------" >>$RPTA_ERRORDAT
#cat $RPTA_PFAD/L_rpta_Test$MANDANTID.log >>$RPTA_ERRORDAT
pruefmail.x $RPTA_PFAD/L_rpta_Test$MANDANTID.log $ERRORMAIL 

